Bug 1206713 - CVE-2015-2774 erlang: Erlang/OTP is vulnerable to Poodle in its TLS-1.0 implementation [fedora-all]
Summary: CVE-2015-2774 erlang: Erlang/OTP is vulnerable to Poodle in its TLS-1.0 imple...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: erlang
Version: 21
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: John Eckersberg
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_owner=dcafaro, fst_ping=1
Depends On: 1251173
Blocks: CVE-2015-2774
TreeView+ depends on / blocked
 
Reported: 2015-03-27 20:32 UTC by Fabio Olive Leite
Modified: 2015-09-01 18:32 UTC (History)
6 users (show)

Fixed In Version: 17.4-5.fc23
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-01 18:32:01 UTC
Type: ---


Attachments (Terms of Use)

Description Fabio Olive Leite 2015-03-27 20:32:06 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Fabio Olive Leite 2015-03-27 20:32:10 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1206712,1206713

# Description of your update
notes=Security fix for CVE-2015-2774

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1206712,1206713

Comment 2 David A. Cafaro 2015-04-24 15:54:32 UTC
Just checking in on the status of this patch?

Comment 3 David A. Cafaro 2015-04-29 13:19:15 UTC
Looking upstream it appears a patch for this was added in Release 17.5 and later.

http://www.erlang.org/download/otp_src_17.5.readme

"OTP-12420    Application(s): ssl

               *** POTENTIAL INCOMPATIBILITY ***

               Add padding check for TLS-1.0 to remove Poodle
               vulnerability from TLS 1.0, also add the option
               padding_check. This option only affects TLS-1.0
               connections and if set to false it disables the block
               cipher padding check to be able to interoperate with
               legacy software.


  OTP-12458    Application(s): ssl

               Add support for TLS_FALLBACK_SCSV used to prevent
               undesired TLS version downgrades. If used by a client
               that is vulnerable to the POODLE attack, and the server
               also supports TLS_FALLBACK_SCSV, the attack can be
               prevented."

This would need to be an update from the current erlang-R16B-03.10.fc20 and 17.4-1.fc21 packages.

Do we have any status on a fix for this?

Comment 4 David A. Cafaro 2015-05-06 17:05:07 UTC
Do we have any plans for an update for this?

Comment 5 David A. Cafaro 2015-05-28 01:25:51 UTC
Last ping on this before it goes to non-responsive maintainer process.

Comment 6 Peter Lemenkov 2015-05-28 19:00:09 UTC
Hello!
I'll fix it soon (before or during this weekend).

Comment 7 David A. Cafaro 2015-06-04 14:10:03 UTC
How goes the patching work?

Comment 8 David A. Cafaro 2015-06-11 01:43:55 UTC
Been another week, are you working on it?

Comment 9 David A. Cafaro 2015-08-05 13:57:15 UTC
Any word on an update for this?

Comment 10 John Eckersberg 2015-08-06 14:27:09 UTC
I've got the patch done but it's failing to build on f23 and rawhide due to a bug in fop which causes the doc generation to fail.

Currently working on fixing fop, and then I'll finish this up...

Comment 11 Fedora Update System 2015-08-06 19:18:18 UTC
erlang-17.4-4.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/erlang-17.4-4.fc22

Comment 12 Fedora Update System 2015-08-06 19:26:29 UTC
erlang-17.4-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/erlang-17.4-4.fc21

Comment 13 Fedora Update System 2015-08-07 13:01:43 UTC
Package erlang-17.4-4.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing erlang-17.4-4.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12923/erlang-17.4-4.fc22
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2015-08-18 05:26:40 UTC
erlang-17.4-4.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-08-18 05:26:49 UTC
erlang-17.4-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-08-18 20:51:54 UTC
erlang-17.4-5.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/erlang-17.4-5.fc23

Comment 17 Fedora Update System 2015-08-22 16:26:24 UTC
erlang-17.4-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update erlang'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/erlang-17.4-5.fc23

Comment 18 Fedora Update System 2015-09-01 18:31:58 UTC
erlang-17.4-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.